=== debian/changelog ===
ros-kinetic-fake-joint-driver (0.0.2-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Fri, 17 Aug 2018 08:27:19 -0000

ros-kinetic-fake-joint-driver (0.0.1-1xenial) xenial; urgency=high

  * Add copyright to source files
  * Eliminate xacro warning
  * Add README and image
  * Add vs060 settings
  * Add travis badge
  * Add launch and re-organize the package
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 15 Aug 2018 15:00:00 -0000
